Bug 178482 - feature request: install software "around" my hardware
Summary: feature request: install software "around" my hardware
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-20 21:48 UTC by hans horwath
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-28 05:28:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hans horwath 2006-01-20 21:48:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
hello,

i wanted to send in a feature request and found only this way to do this. i do it the first time and apoligize if this is the wrong way.

my feature request belongs to the install-process (therefore i chose "anaconda") but should also be available when the system is running (after installation).

i'd call my feature "hardware-centric-behaviour". imho this would bring a lot of credits to linux in general.

the procedure: the system detects my hardware and gives me a bunch of software, that would let me run my hardware (during install and whenever i plugin a new hardware). after that every user (especially new linux-trial-user!) would know, what is on the computer and how to get their hardware to work.

should it be the case, that my hardware isn't recognized, then the system should  give me the results of its check and - added to those - a list of all categories of hardware. i should be able to choose the appropriate category and the system should then try again to use my hardware (maybe there are some generic drivers or similar). if the system would succeed, again i would be asked to choose out of suitable software-solutions. if my hardware still isn't runnable or unknown i'd find it very, very helpful, if i could send the system-informations and my added infos about my hardware to any competent place (redhat, central database...).

so this would bring linux faster into shiny future!

wouldn't this be possible? is there such a solution already?

greetings
hans horwath
salzburg

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.
2.
3.
  

Additional info:

Comment 1 Jeremy Katz 2006-01-28 05:28:34 UTC
Generally, support for such things should be done in a generic fashion so that
they can be supported on all hardware, not just specific models.  This then
makes it so that we can just generically enable things for everyone and have it
just work without having to encode tons of hardware specific knowledge into the
installer


Note You need to log in before you can comment on or make changes to this bug.